Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1686966 - DNF upgrade modular content to non-modular
Summary: DNF upgrade modular content to non-modular
Keywords:
Status: NEW
Alias: None
Product: Fedora
Classification: Fedora
Component: dnf
Version: rawhide
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
Assignee: Jaroslav Mracek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-03-08 18:40 UTC by Igor Gnatenko
Modified: 2019-04-04 12:19 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)

Description Igor Gnatenko 2019-03-08 18:40:26 UTC
Description of problem:
⋊> ~ sudo dnf update --assumeno                                         19:37:27
[sudo] password for brain: 
Last metadata expiration check: 0:27:58 ago on Fri 08 Mar 2019 07:09:37 PM CET.
Modular dependency problems:

 Problem 1: conflicting requests
  - nothing provides module(platform:f30) needed by module stratis:1:20181215204600:a5b0195c-0.x86_64
 Problem 2: conflicting requests
  - nothing provides module(platform:f30) needed by module standard-test-roles:3.0:3020190214144451:a5b0195c-0.x86_64
 Problem 3: conflicting requests
  - nothing provides module(platform:f30) needed by module ripgrep:latest:3020190214090003:a5b0195c-0.x86_64
 Problem 4: conflicting requests
  - nothing provides module(platform:f30) needed by module ninja:latest:3020190131012415:a5b0195c-0.x86_64
 Problem 5: conflicting requests
  - nothing provides module(platform:f30) needed by module meson:latest:3020190123223713:36245242-0.x86_64
 Problem 6: conflicting requests
  - nothing provides module(platform:f30) needed by module libgit2:0.27:3020190128145600:a5b0195c-0.x86_64
 Problem 7: conflicting requests
  - nothing provides module(platform:f30) needed by module fish:3:3020190216163513:602da195-0.x86_64
 Problem 8: conflicting requests
  - nothing provides module(platform:f30) needed by module exa:latest:3020190214120734:e50d0d19-0.x86_64
 Problem 9: conflicting requests
  - nothing provides module(platform:f30) needed by module dwm:6.1:3020190213215420:a5b0195c-0.x86_64
 Problem 10: conflicting requests
  - nothing provides module(platform:f30) needed by module bat:latest:3020190214090936:e50d0d19-0.x86_64
 Problem 11: conflicting requests
  - nothing provides module(platform:f30) needed by module avocado:stable:3020190213205848:a5b0195c-0.x86_64
Dependencies resolved.
================================================================================
 Package    Arch   Version                 Repository                      Size
================================================================================
Installing:
 kernel     x86_64 5.1.0-0.rc0.git2.2.fc31 fedora-rawhide-kernel-nodebug   24 k
 kernel-core
            x86_64 5.1.0-0.rc0.git2.2.fc31 fedora-rawhide-kernel-nodebug   26 M
 kernel-modules
            x86_64 5.1.0-0.rc0.git2.2.fc31 fedora-rawhide-kernel-nodebug   28 M
 kernel-modules-extra
            x86_64 5.1.0-0.rc0.git2.2.fc31 fedora-rawhide-kernel-nodebug  2.1 M
Upgrading:
 libgit2    x86_64 0.27.8-2.fc30           rawhide                        414 k
 libgit2-devel
            x86_64 0.27.8-2.fc30           rawhide                        207 k
 meson      noarch 0.49.2-1.fc30           rawhide                        743 k
 ninja-build
            x86_64 1.9.0-2.fc30            rawhide                        127 k
Removing:
 kernel     x86_64 5.0.0-0.rc4.git2.2.fc30 @fedora-rawhide-kernel-nodebug   0  
 kernel-core
            x86_64 5.0.0-0.rc4.git2.2.fc30 @fedora-rawhide-kernel-nodebug  61 M
 kernel-modules
            x86_64 5.0.0-0.rc4.git2.2.fc30 @fedora-rawhide-kernel-nodebug  28 M
 kernel-modules-extra
            x86_64 5.0.0-0.rc4.git2.2.fc30 @fedora-rawhide-kernel-nodebug 2.1 M

Transaction Summary
================================================================================
Install  4 Packages
Upgrade  4 Packages
Remove   4 Packages

Total download size: 57 M
Operation aborted.

Version-Release number of selected component (if applicable):
dnf-4.1.0-1.fc30.noarch
libdnf-0.26.0-2.fc30.x86_64

How reproducible:
Always.

Steps to Reproduce:
1. Run `dnf update`

Actual results:
DNF upgrades modular RPMs to non-modular.

Expected results:
DNF does not upgrade modular RPMs to non-modular.

Additional info:
Name             : meson
Stream           : latest [d][e]
Version          : 3020190123223713
Context          : 36245242
Profiles         : default [d]
Default profiles : default
Repo             : rawhide-modular
Summary          : The Meson Build system
Description      : Meson is an open source build system meant to be both extremely fast, and, even more importantly, as user friendly as possible.
                 : The main design point of Meson is that every moment a developer spends writing or debugging build definitions is a second wasted. So is every second spent waiting for the build system to actually start compiling code.
Artifacts        : meson-0:0.49.1-1.module_f30+2754+087fe931.noarch

Comment 1 Jaroslav Mracek 2019-04-04 12:19:57 UTC
The issue could be easily solved by setting a Platform ID to platform:f30.


Note You need to log in before you can comment on or make changes to this bug.